function create_UUID(){
    var dt = new Date().getTime();
    var uuid = 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function(c) {
        var r = (dt + Math.random()*16)%16 | 0;
        dt = Math.floor(dt/16);
        return (c=='x' ? r :(r&0x3|0x8)).toString(16);
    });
    return uuid;
}

function initialise() {

    let sessionId = localStorage.getItem('sessionId');

    if (!sessionId) {
        sessionId = create_UUID();
        localStorage.setItem('sessionId', sessionId);
    }

    console.log(sessionId);
}

function loadCurlCommands() {

    let sessionId = localStorage.getItem('sessionId');
    var request = new XMLHttpRequest();

    request.open('GET', '/api/curlCommands?sessionId=' + sessionId, true);

    request.setRequestHeader("content-type","application/json");
    request.send(null);
    request.onreadystatechange = function() {

        if (request.readyState == 4 && (request.status == 200 || request.status == 0)) {
            var commands = JSON.parse(request.responseText);
            let result = "";
            commands.forEach(command => {
                result += command + "\r\n";
            });
            console.log("display curl commands");
            $("#curlCommands").text(result);
            $('#console').show();

        }
    };


}