
function loadAppSettings() {

    var request = new XMLHttpRequest();

    request.open('GET', '/config', true);

    request.setRequestHeader("content-type","application/json");
    request.send(null);
    request.onreadystatechange = function() {

        if (request.readyState == 4 && (request.status == 200 || request.status == 0)) {
            var config = JSON.parse(request.responseText);
            document.getElementById("endpoint_url").value = config.endpointUrl;

            if (document.getElementById("client_id")) document.getElementById("client_id").value = config.clientId;
            if (document.getElementById("client_secret")) document.getElementById("client_secret").value = config.clientSecret;
        }
    };
}

$(document).ready(function() {
    loadAppSettings();
});